Unable to start application

Added by Maurizio Bruccoleri almost 2 years ago

This is error log I found for the issue, how can I solve it?


  Message from application: <p>It looks like Bundler could not find a gem. Maybe you didn't install all the gems that this application needs. To install your gems, please run:</p>

  <pre class="commands">bundle install</pre>

<p>If that didn't work, then the problem is probably caused by your application being run under a different environment than it's supposed to. Please check the following:</p>

<ol>
  <li>Is this app supposed to be run as the admredmine user?</li>
<li>Is this app being run on the correct Ruby interpreter? Below you will
see which Ruby interpreter Phusion Passenger attempted to use.</li>
</ol>

<p>-------- The exception is as follows: -------</p>
You have requested:
nokogiri ~> 1.6.8

The bundle currently has nokogiri locked at 1.7.2.
Try running `bundle update nokogiri`

If you are updating multiple gems in your Gemfile at once,
try passing them all to `bundle update` (Bundler::GemNotFound)

  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:288:in `block in verify_gemfile_dependencies_are_found!&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `each&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `verify_gemfile_dependencies_are_found!&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:48:in `start&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:22:in `resolve&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:257:in `resolve&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:170:in `specs&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:237:in `specs_for&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:226:in `requested_specs&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:108:in `block in definition_method&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:20:in `setup&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler.rb:107:in `setup&#39;
  /usr/local/rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/setup.rb:20:in `&lt;top (required)&gt;&#39;
  /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require&#39;
  /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:456:in `activate_gem&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:323:in `block in run_load_path_setup_code&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:461:in `running_bundler&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:322:in `run_load_path_setup_code&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:100:in `preload_app&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:156:in `&lt;module:App&gt;&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `&lt;module:PhusionPassenger&gt;&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `&lt;main&gt;&#39;

[ E 2017-11-24 10:07:57.8215 1860/T6 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 1-6] Cannot checkout session because a spawning error occurred. The identifier of the error is 89bbeb38. Please see earlier logs for details about the error.

Replies (12)

RE: Unable to start application - Added by Bernhard Rohloff almost 2 years ago

Hey Maurizio,

Referring to your error log, I would say you have a wrong ruby version for your version of redmine. Your Redmine needs nokogiri 1.6.8 but your bundle only has 1.7.2 to offer... But thats more or less an assumption.

Do you have a bit more background story for us?
Has this error occurred while installing a new instance? Did you install any updates, plugins, patches?
Whats your environment?

Our magic crystal bowl is unfortunately not as accurate as the raisin between our ears filled with information. ;-)

This article lists the necessary information we need to help you.

Greetings,

Bernhard

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

Hi,
thanks for your feedback, I know I've not posted a lot of detail... It was my first installation so I'm a little bit newbe :)

Your feedback helped me to find a lot of issues, but still now it doesn't work yet... I've done a new fresh installation without success.

Let me post you some additional detail, and please tell me what can I collect for you to help me.

[redmine@localhost redmine]$ cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.4 (Maipo)
[redmine@localhost redmine]$ ruby bin/about

Environment:
  Redmine version                3.4.3.stable
  Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]
  Rails version                  4.2.8
  Environment                    production
  Database adapter               Mysql2
SCM:
  Subversion                     1.7.14
  Darcs                          2.8.4
  Mercurial                      2.6.2
  Bazaar                         2.5.1
  Git                            1.8.3.1
  Filesystem                     
Redmine plugins:
  no plugin installed

Here new log:

App 106358 stdout: 
App 106358 stdout: 
[ E 2017-11-26 14:11:53.9438 93547/Th age/Cor/App/Implementation.cpp:304 ]: Could not spawn process for application /var/www/redmine: An error occurred while starting up the preloader.
  Error ID: 80c5b5d3
  Error details saved to: /tmp/passenger-error-0ZQ5OL.html
  Message from application: <p>It looks like Bundler could not find a gem. Maybe you didn't install all the gems that this application needs. To install your gems, please run:</p>

  <pre class="commands">bundle install</pre>

<p>If that didn't work, then the problem is probably caused by your application being run under a different environment than it's supposed to. Please check the following:</p>

<ol>
  <li>Is this app supposed to be run as the redmine user?</li>
<li>Is this app being run on the correct Ruby interpreter? Below you will
see which Ruby interpreter Phusion Passenger attempted to use.</li>
</ol>

<p>-------- The exception is as follows: -------</p>
You have requested:
nokogiri ~> 1.6.8

The bundle currently has nokogiri locked at 1.7.2.
Try running `bundle update nokogiri`

If you are updating multiple gems in your Gemfile at once,
try passing them all to `bundle update` (Bundler::GemNotFound)

  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:288:in `block in verify_gemfile_dependencies_are_found!&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `each&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `verify_gemfile_dependencies_are_found!&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:48:in `start&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:22:in `resolve&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:257:in `resolve&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:170:in `specs&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:237:in `specs_for&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:226:in `requested_specs&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:108:in `block in definition_method&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:20:in `setup&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler.rb:107:in `setup&#39;
  /home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/setup.rb:20:in `&lt;top (required)&gt;&#39;
  /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require&#39;
  /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:456:in `activate_gem&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:323:in `block in run_load_path_setup_code&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:461:in `running_bundler&#39;
  /usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:322:in `run_load_path_setup_code&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:100:in `preload_app&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:156:in `&lt;module:App&gt;&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `&lt;module:PhusionPassenger&gt;&#39;
  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `&lt;main&gt;&#39;

[ E 2017-11-26 14:11:53.9534 93547/T4 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 1-3] Cannot checkout session because a spawning error occurred. The identifier of the error is 80c5b5d3. Please see earlier logs for details about the error.

As per my understanding nokogiri version 1.7.2, is requested on Gemfile, here an extraction:

gem "nokogiri", (RUBY_VERSION >= "2.1" ? "~> 1.7.2" : "~> 1.6.8")

I tried, updating Gemfile, to force version 1.6.8; but application raise exceptions.

Have you suggestion?

RE: Unable to start application - Added by Bernhard Rohloff almost 2 years ago

Hey Maurizio,

nice to hear you make progress...
Can you start redmine without passenger?

rails server webrick -e production

It seems you have problems with your passenger configuration.
Maybe there is your answer this Stackoverflow thread.

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

If I execute "rails server webrick -e production", it returns

=> Booting WEBrick
=> Rails 4.2.8 application starting in production on http://localhost:3000
=> Run `rails server -h` for more startup options
=> Ctrl-C to shutdown server
[2017-11-28 22:15:03] INFO WEBrick 1.3.1
[2017-11-28 22:15:03] INFO ruby 2.2.4 (2015-12-16) [x86_64-linux]
Exiting
/home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:206:in `bind': Address already in use - bind(2) for 127.0.0.1:3000 (Errno::EADDRINUSE)
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:206:in `listen'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:461:in `block in tcp_server_sockets'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:232:in `each'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:232:in `foreach'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/socket.rb:459:in `tcp_server_sockets'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/webrick/utils.rb:70:in `create_listeners'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/webrick/server.rb:133:in `listen'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/webrick/server.rb:114:in `initialize'
from /home/redmine/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/webrick/httpserver.rb:45:in `initialize'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/rack-1.6.8/lib/rack/handler/webrick.rb:31:in `new'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/rack-1.6.8/lib/rack/handler/webrick.rb:31:in `run'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/rack-1.6.8/lib/rack/server.rb:287:in `start'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands/server.rb:80:in `start'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands/commands_tasks.rb:80:in `block in server'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands/commands_tasks.rb:75:in `tap'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands/commands_tasks.rb:75:in `server'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
from /var/www/redmine/vendor/bundle/ruby/2.2.0/gems/railties-4.2.8/lib/rails/commands.rb:17:in `<top (required)>'
from bin/rails:4:in `require'
from bin/rails:4:in `<main>'

I tried link you mentioned...

bundle --deployment

It doesn't works:

App 17500 stdout:
App 17500 stdout:
[ E 2017-11-28 22:16:54.0194 15917/Tz age/Cor/App/Implementation.cpp:304 ]: Could not spawn process for application /var/www/redmine: An error occurred while starting up the preloader.
Error ID: 2e8b3fef
Error details saved to: /tmp/passenger-error-7SQrxv.html
Message from application: <p>It looks like Bundler could not find a gem. Maybe you didn't install all the gems that this application needs. To install your gems, please run:</p>

bundle install

<p>If that didn't work, then the problem is probably caused by your application being run under a different environment than it's supposed to. Please check the following:</p>

<ol>
<li>Is this app supposed to be run as the redmine user?</li>
<li>Is this app being run on the correct Ruby interpreter? Below you will
see which Ruby interpreter Phusion Passenger attempted to use.</li>
</ol>

<p>-------- The exception is as follows: -------</p>
You have requested:
nokogiri ~> 1.6.8

The bundle currently has nokogiri locked at 1.7.2.
Try running `bundle update nokogiri`

If you are updating multiple gems in your Gemfile at once,
try passing them all to `bundle update` (Bundler::GemNotFound)
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:288:in `block in verify_gemfile_dependencies_are_found!'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `each'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:256:in `verify_gemfile_dependencies_are_found!'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:48:in `start'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/resolver.rb:22:in `resolve'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:257:in `resolve'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:170:in `specs'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:237:in `specs_for'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/definition.rb:226:in `requested_specs'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:108:in `block in definition_method'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/runtime.rb:20:in `setup'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler.rb:107:in `setup'
/home/redmine/.rvm/gems/ruby-2.2.4/gems/bundler-1.16.0/lib/bundler/setup.rb:20:in `<top (required)>'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
/usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:456:in `activate_gem'
/usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:323:in `block in run_load_path_setup_code'
/usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:461:in `running_bundler'
/usr/share/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:322:in `run_load_path_setup_code'
/usr/share/passenger/helper-scripts/rack-preloader.rb:100:in `preload_app'
/usr/share/passenger/helper-scripts/rack-preloader.rb:156:in `<module:App>'
/usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'
/usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<main>'

[ E 2017-11-28 22:16:54.0251 15917/T7 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 1-9] Cannot checkout session because a spawning error occurred. The identifier of the error is 2e8b3fef. Please see earlier logs for details about the error.

RE: Unable to start application - Added by Bernhard Rohloff almost 2 years ago

Ok so the first one tells you that webrick's default port 3000 is already in use. Y can set it to another port with the -p argument.

rails server webrick -p YOUR_FREE_PORT -e production

This should give us informations about wether it's a problem on the redmine/rails side or on the apache/passenger side.

My mentioned link was focusing on the fact that it could be a problem where ruby installs its GEMs and where passsenger looks for it.

Solution (took me a few hours):

Mare sure that RAILS_ROOT/.bundle/config (SetEnv etc. didn't work for me) contains:

---
BUNDLE_PATH: /home/xxxxx/.bundler

Note BUNDLE_PATH, not BUNDLER_PATH! There was also an DISABLED_SHARED_GEMS=1 entry, I removed it.

Then bundler recognises the correct path even when loaded from Passenger. Without Passenger, it always worked (and used /home/xxxxx/.bundler, as said in the question)

So first make sure it runs with webrick and if it does, check where bundler installs your gems and passenger looks for it. These would be my next steps.

Greetings,
Bernhard

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

Hi,
first of all, thanks for your time!!!!

about test on webrik's test; I started it on port 3001

[redmine@localhost redmine]$ rails server webrick -p 3001 -e production
=> Booting WEBrick
=> Rails 4.2.8 application starting in production on xxxx:3001
=> Run `rails server -h` for more startup options
=> Ctrl-C to shutdown server
[2017-11-29 12:20:09] INFO WEBrick 1.3.1
[2017-11-29 12:20:09] INFO ruby 2.2.4 (2015-12-16) [x86_64-linux]
[2017-11-29 12:20:09] INFO WEBrick::xxxx#start: pid=48531 port=3001

In my understanding it runs, but when I tried to reach it with browser on my machine i receive:

ERR_CONNECTION_REFUSED

I enabled firewall on TCP port 3001.

For my clarification RAILS_ROOT is RedMine istallation folder? In my case it is "/var/www/redmine"
Where I can locate a ".bundle/config" file that contains:

---
'# BUNDLE_PATH: "vendor/bundle"
BUNDLE_FROZEN: "true"
BUNDLE_PATH: "/var/www/redmine"
BUNDLE_WITHOUT: "development:test:rmagick"

But I can locate more ".bundle" directory on my box:

[redmine@localhost .bundle]$ sudo find / -name .bundle
/var/www/redmine/.bundle
/home/redmine/.rvm/gems/ruby-2.2.4/bin/.bundle
/home/redmine/.bundle

they contains:

[redmine@localhost .bundle]$ more /home/redmine/.rvm/gems/ruby-2.2.4/bin/.bundle/config
---
BUNDLE_WITHOUT: "development:test:rmagick"
[redmine@localhost .bundle]$ more /home/redmine/.bundle/config
---
BUNDLE_WITHOUT: "development:test:rmagick"
BUNDLE_FROZEN: "false"

I tried to copy "/var/www/redmine/.bundle/config" file replacing other config files... but there is same message.

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

Sorry... can it be the cause?

[redmine@localhost bin]$ ruby -v
ruby 2.2.4p230 (2015-12-16 revision 53155) [x86_64-linux]
[redmine@localhost bin]$ sudo ruby -v
[sudo] password for redmine: 
ruby 2.0.0p648 (2015-12-16) [x86_64-linux]

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

Ok... I got the issue... sudoers has a different path... now it is pointing to right ruby version

next issue :)

on redmine_error_log I have

[Wed Nov 29 16:09:10.716325 2017] [autoindex:error] [pid 5226] [client 192.168.196.1:61116] AH01276: Cannot serve directory /var/www/redmine/public/: No matching DirectoryIndex (index.html,index.php) found, and server-generated directory index forbidden by Options directive

And of course redmine is not starting

on apache conf file added:

DocumentRoot /var/www/redmine/public
PassengerAppRoot /var/www/redmine/public
PassengerRuby /usr/local/rvm/rubies/ruby-2.2.4/bin/ruby

then I created passenger.conf containing:

    <VirtualHost *:80>
        ServerName redmine.<YOUR-DOMAIN>.com
        ServerAdmin webmaster@<YOUR-DOMAIN>.com
        DocumentRoot /var/www/redmine/public/
        ErrorLog logs/redmine_error_log

        #If you are using mod_fcgid and are going to upload files larger than
        #131072 bytes you should consider adding the following line
        #that allows to upload files up to 20 mb
        # MaxRequestLen 20971520

        <Directory "/var/www/redmine/public/">
                Options Indexes ExecCGI FollowSymLinks
                Order allow,deny
                Allow from all
                AllowOverride all
        </Directory>
    </VirtualHost>

RE: Unable to start application - Added by Bernhard Rohloff almost 2 years ago

Hey Maurizio,

it's cool to see your progress! I think the story is coming to a happy end, soon. ;-)

Try to remove the `Indexes` option from your passengers.conf file...

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

I did it but no success

[root@localhost conf.d]# more passenger.conf
### Begin automatically installed Phusion Passenger config snippet ###
<IfModule mod_passenger.c>
   PassengerRoot /usr/share/ruby/vendor_ruby/phusion_passenger/locations.ini
   PassengerRuby /usr/local/rvm/rubies/ruby-2.2.4/bin/ruby
   PassengerInstanceRegistryDir /var/run/passenger-instreg
</IfModule>
### End automatically installed Phusion Passenger config snippet ###

    <VirtualHost *:80>
        ServerName redmine.<YOUR-DOMAIN>.com
        ServerAdmin webmaster@<YOUR-DOMAIN>.com
        DocumentRoot /var/www/redmine/public/
        ErrorLog logs/redmine_error_log

        #If you are using mod_fcgid and are going to upload files larger than
        #131072 bytes you should consider adding the following line
        #that allows to upload files up to 20 mb
        # MaxRequestLen 20971520

        <Directory "/var/www/redmine/public/">
                Options ExecCGI FollowSymLinks
                Order allow,deny
                Allow from all
                AllowOverride all
        </Directory>
    </VirtualHost>
[root@localhost conf.d]# ll /var/www/redmine/public/
total 40
-rw-r--r--.  1 redmine redmine  459 Nov 25 23:33 404.html
-rw-r--r--.  1 redmine redmine  648 Nov 25 23:33 500.html
-rwxr-xr-x.  1 redmine redmine  473 Nov 25 23:40 dispatch.fcgi
-rwxr-xr-x.  1 redmine redmine  473 Nov 25 23:33 dispatch.fcgi.example
-rw-r--r--.  1 redmine redmine 7886 Nov 25 23:33 favicon.ico
drwxr-xr-x. 51 redmine redmine 4096 Nov 25 23:33 help
-rw-r--r--.  1 redmine redmine 1453 Nov 25 23:33 htaccess.fcgi
drwxr-xr-x.  4 redmine redmine 4096 Nov 25 23:33 images
drwxr-xr-x.  4 redmine redmine 4096 Nov 25 23:33 javascripts
drwxr-xr-x.  2 redmine redmine   19 Nov 25 23:33 plugin_assets
drwxr-xr-x.  3 redmine redmine  168 Nov 25 23:33 stylesheets
drwxr-xr-x.  4 redmine redmine   52 Nov 25 23:33 themes

What it is wrong?

RE: Unable to start application - Added by Bernhard Rohloff almost 2 years ago

I dug a bit into the Googs and found this 2 year old thread in the Redmine.org forum.
So referring to this, disabling the "auto index module" in Apache could be your solution.

RE: Unable to start application - Added by Maurizio Bruccoleri almost 2 years ago

unfortunatly no

Now only log generated is related to access.log

192.168.196.1 - - [29/Nov/2017:19:20:24 +0100] "GET / xxxx/1.1" 404 198 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36" 
192.168.196.1 - - [29/Nov/2017:19:20:24 +0100] "GET /favicon.ico xxxx/1.1" 200 7886 "xxxx://ip_address/" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36" 

Other apache log and redmine.log onto apache log folder are empty...

(1-12/12)